Ubuntu

Intel 5100 AGN wireless connection bug

Reported by Samiux on 2010-05-05
228
This bug affects 40 people
Affects Status Importance Assigned to Milestone
Debian
Confirmed
Unknown
linux (Fedora)
Unknown
Unknown
linux (Ubuntu)
Medium
Unassigned

Bug Description

I have a Lenovo ThinkPad X200 which equipped with Intel PRO/Wireless 5100 AGN adapter. When running Ubuntu 10.04 for a while, say 15 minutes or longer, the adapter cannot transmit data or even cannot reconnect to the router when it was disconnected. My dd-wrt router shows that there are some errors when the data is transmitting.

The worst thing is that the wireless card would be disabled and could not be used again until I boot the notebook computer with Windows system to activate the wireless adapter.

I searched from the Google and found that someone out there has the similar problem. The link is as the following :

http://ubuntuforums.org/showthread.php?t=1470820

Samiux (runnersam) wrote :

After investigation, I confirmed that my Lenovo ThinkPad X200 has connection problem when it is connecting to the N router. It is working fine at G mode.

The workaround would be disabled the N mode for the Intel 5100 AGN wireless card at the moment. My solution is :

sudo nano /etc/modprobe.d/options.conf

And add the following to it.
options iwlagn 11n_disable=1 11n_disable50=1

After that, reboot your system.

Please fix this bug, thanks.

Samiux (runnersam) wrote :

I also confirmed that this bug does not affect Intel 4965 AG or AGN wireless card even it is connecting to N router.

Philip Muškovac (yofel) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Unfortunately, we can't fix it without more information.

Please run the following command which will attach necessary information:

apport-collect 575492

Bear in mind that when prompted to give apport-collect permissions for Launchpad you will need to give it at least the ability to "Change Non-Private" data as it will be adding information to your bug report.

If you cannot use apport please at least add the following information (pay attention to lspci's additional options):
First run the following commands:
1) uname -a > uname-a.log
2) dmesg > dmesg.log
3) sudo lspci -vvnn > lspci-vvnn.log
4) cat /proc/version_signature > version.log
then attach the files separately to the bug report (not pasted into comments or tar/zip-ed).

For your reference, the full description of procedures for kernel-related bug reports is available at https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies. Thanks in advance!

affects: ubuntu → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: lucid
Samiux (runnersam) wrote :
Samiux (runnersam) wrote :
Samiux (runnersam) wrote :
Samiux (runnersam) wrote :
Philip Muškovac (yofel) on 2010-05-08
Changed in linux (Ubuntu):
status: Incomplete → New
tags: added: kj-triage

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/dsp', '/dev/snd/by-path', '/dev/snd/controlC0', '/dev/snd/hwC0D0', '/dev/snd/hwC0D2', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/pcmC0D1p', '/dev/snd/pcmC0D3p', '/dev/snd/seq', '/dev/snd/timer', '/dev/sequencer2', '/dev/sequencer'] failed with exit code 1:
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xe4500000 irq 22'
   Mixer name : 'Intel G45 DEVCTG'
   Components : 'HDA:10ec0269,10250229,00100004 HDA:80862802,80860101,00100000'
   Controls : 22
   Simple ctrls : 11
DistroRelease: Ubuntu 10.04
HibernationDevice: RESUME=UUID=0c980d4f-d57b-49c6-80a2-0948170825eb
MachineType: Acer Aspire 3810T
Package: linux (not installed)
ProcCmdLine: root=UUID=dd7639f2-2e2e-4cc6-a0b3-8872d399c6ef ro quiet splash
ProcEnviron:
 PATH=(custom, user)
 LANG=fr_FR.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
Regression: Yes
RelatedPackageVersions: linux-firmware 1.34
Reproducible: Yes
Tags: lucid networking regression-release needs-upstream-testing
Uname: Linux 2.6.32-22-generic i686
UserGroups: adm admin cdrom dialout lpadmin netdev plugdev sambashare vboxusers
WifiSyslog:

WpaSupplicantLog:

dmi.bios.date: 07/20/2009
dmi.bios.vendor: Acer
dmi.bios.version: V1.10
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: Aspire 3810T
dmi.board.vendor: Acer
dmi.board.version: PSMBOU-1234567
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: None
dmi.modalias: dmi:bvnAcer:bvrV1.10:bd07/20/2009:svnAcer:pnAspire3810T:pvrV1.10:rvnAcer:rnAspire3810T:rvrPSMBOU-1234567:cvnAcer:ct10:cvrNone:
dmi.product.name: Aspire 3810T
dmi.product.version: V1.10
dmi.sys.vendor: Acer

tags: added: apport-collected

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: nes 1829 F.... pulseaudio
 /dev/snd/pcmC0D0p: nes 1829 F...m pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf2620000 irq 17'
   Mixer name : 'Conexant CX20561 (Hermosa)'
   Components : 'HDA:14f15051,17aa20ff,00100000'
   Controls : 14
   Simple ctrls : 7
Card29.Amixer.info:
 Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw 7XHT24WW-1.06'
   Mixer name : 'ThinkPad EC 7XHT24WW-1.06'
   Components : ''
   Controls : 1
   Simple ctrls : 1
Card29.Amixer.values:
 Simple mixer control 'Console',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
DistroRelease: Ubuntu 10.04
Frequency: Once a day.
HibernationDevice: RESUME=UUID=84e5f218-78b7-4f4e-a269-89b383d322e1
MachineType: LENOVO 74558GG
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.32-22-generic root=/dev/mapper/vg-ubuntu ro splash quiet
ProcEnviron:
 LANGUAGE=en
 PATH=(custom, user)
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-22.36-generic 2.6.32.11+drm33.2
Regression: No
RelatedPackageVersions: linux-firmware 1.34
Reproducible: No
Tags: lucid networking needs-upstream-testing
Uname: Linux 2.6.32-22-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 11/09/2009
dmi.bios.vendor: LENOVO
dmi.bios.version: 7XET61WW (3.11 )
dmi.board.name: 74558GG
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr7XET61WW(3.11):bd11/09/2009:svnLENOVO:pn74558GG:pvrThinkPadX200:rvnLENOVO:rn74558GG:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 74558GG
dmi.product.version: ThinkPad X200
dmi.sys.vendor: LENOVO

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Jeremy Foshee (jeremyfoshee) wrote :

francoisl / amaneiro,
    please file new bugs for your issue by using 'ubuntu-bug linux' on the command line. This is in keeping with the Kernel Team policy of all users affected by an issue to file a new bug for their particular hardware.

Thanks!

~JFo

Changed in linux (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
tags: added: kernel-needs-review kernel-net
tags: added: kernel-reviewed
removed: kernel-needs-review
Pieter (diepes) wrote :

My wifi also seem to stop after a couple of hours for no reason.
$ uname -a
Linux Pieters-PC 2.6.32-22-generic #36-Ubuntu SMP Thu Jun 3 19:31:57 UTC 2010 x86_64 GNU/Linux
$ lspci | grep 5100
02:00.0 Network controller: Intel Corporation PRO/Wireless 5100 AGN [Shiloh] Network Connection

To fix
!/bin/sh
sudo poff -a
sudo ifconfig wlan0 down
modprobe -r iwlagn
sudo killall nm-applet
sudo /etc/init.d/networking stop
sudo /etc/init.d/network-manager stop
sudo modprobe iwlagn
sudo nm-applet --sm-disable &
sudo /etc/init.d/networking start
sudo /etc/init.d/network-manager start

Joshua Schwartz (jfs1179) wrote :

Has there been any progress on this bug? Looks like the last comment was over a month ago.

Download full text (3.6 KiB)

I just tried it with 2.6.35 on my netbook, which has several updates from previous versions, but there still appears to be a few different problems, for example:

In the first case, the AP doesn't respond and things go crazy, and eventually the module is no longer able to figure out what precisely what rev the card is.

$ grep 5100 first.txt
... it all starts out so good ...
[ 3.767200] iwlagn 0000:03:00.0: Detected Intel Wireless WiFi Link 5100AGN REV=0x54

... but then ...
[ 137.305160] No probe response from AP 00:1f:90:e4:b0:2b after 500ms, disconnecting.
[ 137.936179] iwlagn 0000:03:00.0: Error sending REPLY_RXON: time out after 500ms.
[ 137.936198] iwlagn 0000:03:00.0: Error setting new RXON (-110)

... insanity happens ....
[ 163.448208] iwlagn 0000:03:00.0: No space for Tx
[ 163.448224] iwlagn 0000:03:00.0: Error sending REPLY_TX_POWER_DBM_CMD: enqueue_hcmd failed: -28

... more f the same ...
[ 235.706723] iwlagn 0000:03:00.0: No space for Tx
[ 235.706740] iwlagn 0000:03:00.0: Error sending REPLY_TX_POWER_DBM_CMD: enqueue_hcmd failed: -28
[ 235.833120] iwlagn 0000:03:00.0: MAC is in deep sleep!. CSR_GP_CNTRL = 0xFFFFFFFF

... and then...
[ 241.318649] iwlagn 0000:03:00.0: Detected Intel Wireless WiFi Link 5100AGN REV=0xFFFFFFFF
[ 241.321377] iwlagn 0000:03:00.0: MAC is in deep sleep!. CSR_GP_CNTRL = 0xFFFFFFFF

In the second case, the queue gets repeatedly stuck "3 time"; then it reloads

$ grep stuck second.txt
... something bad happens ...
[ 30.904063] iwlagn 0000:03:00.0: queue 4 stuck 3 time. Fw reload.

... and then it reloads ...
[ 30.905730] iwlagn 0000:03:00.0: On demand firmware reload

and again, and again, and again....
[ 38.456114] iwlagn 0000:03:00.0: queue 4 stuck 3 time. Fw reload.
[ 38.457732] iwlagn 0000:03:00.0: On demand firmware reload
[ 62.876130] iwlagn 0000:03:00.0: queue 4 stuck 3 time. Fw reload.
[ 62.877863] iwlagn 0000:03:00.0: On demand firmware reload
[ 103.216067] iwlagn 0000:03:00.0: queue 4 stuck 3 time. Fw reload.
[ 103.219246] iwlagn 0000:03:00.0: On demand firmware reload

... but luck runs out eventually and then the "mac" goes into deep sleep.
[ 260.768128] iwlagn 0000:03:00.0: queue 4 stuck 3 time. Fw reload.
[ 260.768146] iwlagn 0000:03:00.0: On demand firmware reload
[ 260.772090] iwlagn 0000:03:00.0: MAC is in deep sleep!. CSR_GP_CNTRL = 0xFFFFFFFF
[ 260.772090] iwlagn 0000:03:00.0: MAC is in deep sleep!. CSR_GP_CNTRL = 0xFFFFFFFF

On Aug 4, 2010, at 10:56 PM, Joshua Schwartz wrote:

> Has there been any progress on this bug? Looks like the last comment
> was over a month ago.
>
> --
> Intel 5100 AGN wireless connection bug
> https://bugs.launchpad.net/bugs/575492
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Triaged
>
> Bug description:
> I have a Lenovo ThinkPad X200 which equipped with Intel PRO/Wireless 5100 AGN adapter. When running Ubuntu 10.04 for a while, say 15 minutes or longer, the adapter cannot transmit data or even cannot reconnect to the router when it was disconnected. My dd-wrt router shows that there are some errors when the data is transmittin...

Read more...

Stanley Sokolow (overbyte) wrote :

I have an ASUS X83VB-X2 notebook, which has the Intel 5100 AGN wifi adapter built-in. Ubuntu 10.04 live CD runs but when it tries to connect to my wireless router, the computer hangs and I have to reboot with 4-second power-off. Ctrl-Alt-Bksp and Ctrl-Alt-Del don't even interrupt the hang. I haven't gone further with this bug. My router works fine with 10.04 on a different computer with a different wifi adapter, and my ASUS works fine wirelessly on Vista-64. I don't have time to play with this problem. Just wanted to let you know it affects this notebook computer, too.

Pieter (diepes) wrote :

I have not experienced the problem recently.

Working / Not showing symptom
  $ uname -a
  Linux pieters-laptop 2.6.32-24-generic #41-Ubuntu SMP Thu Aug 19 01:38:40 UTC 2010 x86_64 GNU/Linux

Maciej Strzelecki (mstrzele) wrote :

I can confirm this in Lucid.

Linux maciej-laptop 2.6.32-24-generic #41-Ubuntu SMP Thu Aug 19 01:38:40 UTC 2010 x86_64 GNU/Linux
02:00.0 Network controller: Intel Corporation PRO/Wireless 5100 AGN [Shiloh] Network Connection

ReNo1979 (reno1979) wrote :

I've the same problem.

Sony VGN-FW41M uses the Intel 5100 AGN wireless chipset.

Enabling N draft results in a 1 Mb/s bit rate.

I need N draft connection speeds because almost all my files are stored remotely on a NAS.

The intel-5300-iwlagn-disable11n.conf file is not a pretty solution, but i gives me at least a decent (but slower) connection.

Paul Michali (forum-paul) wrote :

I have a Sony WGN-FW490 and too have 802.11n disabled using the conf file. Is there any progress on fixing this issue?

I just installed 10.10 on my Thinkpad X200 with a Intel 5100 and seem to be running into this. Are others still having this problem? Any progress on a fix? Is there any more diagnostic info that would be of use? (everything I can think to include is available above)

Stephen Thorne (jerub) wrote :

I too, have this problem. I get about 90 seconds of wifi every two minutes. I'm currently tethering via USB to my mobile phone which is then connected to the wifi so I can use the Internet properly on this laptop. A dangerous game, because if the wifi drops out on the phone I start using my 3G data plan.

I'm using an 802.11n wireless router, and a Thinkpad X200s with the Intel 5100. I only just upgraded to 11.04, the wireless worked properly prior to my upgrade to 11.04.

During my downtime I get output like:
[10108.754334] iwlagn 0000:03:00.0: Aggregation not enabled for tid 0 because load = 0
[10171.046204] iwlagn 0000:03:00.0: Aggregation not enabled for tid 0 because load = 0
[10177.214373] iwlagn 0000:03:00.0: iwlagn_tx_agg_start on ra = 00:22:75:f2:b0:43 tid = 0
[10181.688873] iwlagn 0000:03:00.0: low ack count detected, restart firmware
[10181.688884] iwlagn 0000:03:00.0: On demand firmware reload
[10181.722312] iwlagn 0000:03:00.0: Stopping AGG while state not ON or starting
[10181.722322] iwlagn 0000:03:00.0: queue number out of range: 0, must be 10 to 19
[10184.404182] iwlagn 0000:03:00.0: iwlagn_tx_agg_start on ra = 00:22:75:f2:b0:43 tid = 0
[10189.368725] iwlagn 0000:03:00.0: low ack count detected, restart firmware
[10189.368735] iwlagn 0000:03:00.0: On demand firmware reload
[10189.400582] iwlagn 0000:03:00.0: Stopping AGG while state not ON or starting
[10189.400592] iwlagn 0000:03:00.0: queue number out of range: 0, must be 10 to 19

Per Buer (per-buer) wrote :
Download full text (3.5 KiB)

I've gotten the exact same bug when I upgraded to 11.04 Natty. This is with a Lenovo Thinkpad x201 connected to a N class network. This might or might not be valuable; but I haven't been able to reproduce this bug if I have a terminal ping the router continuously.

[ 4800.088380] iwlagn 0000:02:00.0: low ack count detected, restart firmware
[ 4800.088388] iwlagn 0000:02:00.0: On demand firmware reload
[ 4800.165358] iwlagn 0000:02:00.0: Stopping AGG while state not ON or starting
[ 4800.165369] iwlagn 0000:02:00.0: queue number out of range: 0, must be 10 to 19
[ 4800.660631] iwlagn 0000:02:00.0: iwlagn_tx_agg_start on ra = 00:21:91:19:0e:75 tid = 0
[ 4868.358086] iwlagn 0000:02:00.0: low ack count detected, restart firmware
[ 4868.358093] iwlagn 0000:02:00.0: On demand firmware reload
[ 4868.444607] iwlagn 0000:02:00.0: Stopping AGG while state not ON or starting
[ 4868.444617] iwlagn 0000:02:00.0: queue number out of range: 0, must be 10 to 19
[ 4902.073542] iwlagn 0000:02:00.0: Aggregation not enabled for tid 0 because load = 0
[ 4928.834497] iwlagn 0000:02:00.0: Aggregation not enabled for tid 0 because load = 2
[ 4982.888708] iwlagn 0000:02:00.0: iwlagn_tx_agg_start on ra = 00:21:91:19:0e:75 tid = 0
[ 5161.493345] iwlagn 0000:02:00.0: low ack count detected, restart firmware
[ 5161.493352] iwlagn 0000:02:00.0: On demand firmware reload
[ 5161.579948] iwlagn 0000:02:00.0: Stopping AGG while state not ON or starting
[ 5161.579958] iwlagn 0000:02:00.0: queue number out of range: 0, must be 10 to 19
[ 5221.868242] iwlagn 0000:02:00.0: Aggregation not enabled for tid 0 because load = 1
[ 5288.188606] iwlagn 0000:02:00.0: iwlagn_tx_agg_start on ra = 00:21:91:19:0e:75 tid = 0
[ 5377.590892] iwlagn 0000:02:00.0: low ack count detected, restart firmware
[ 5377.590898] iwlagn 0000:02:00.0: On demand firmware reload
[ 5377.668096] iwlagn 0000:02:00.0: Stopping AGG while state not ON or starting
[ 5377.668106] iwlagn 0000:02:00.0: queue number out of range: 0, must be 10 to 19
[ 5409.869194] iwlagn 0000:02:00.0: Aggregation not enabled for tid 0 because load = 0
[ 5491.906290] iwlagn 0000:02:00.0: Aggregation not enabled for tid 0 because load = 0
[ 5551.498164] iwlagn 0000:02:00.0: Aggregation not enabled for tid 0 because load = 1
[ 5622.093129] iwlagn 0000:02:00.0: Aggregation not enabled for tid 0 because load = 0
[ 5638.553827] iwlagn 0000:02:00.0: Aggregation not enabled for tid 0 because load = 6
[ 5647.876923] iwlagn 0000:02:00.0: iwlagn_tx_agg_start on ra = 00:21:91:19:0e:75 tid = 0
[ 5661.109406] iwlagn 0000:02:00.0: iwlagn_tx_agg_start on ra = 00:21:91:19:0e:75 tid = 0
[ 5668.649557] iwlagn 0000:02:00.0: low ack count detected, restart firmware
[ 5668.649563] iwlagn 0000:02:00.0: On demand firmware reload
[ 5668.727924] iwlagn 0000:02:00.0: Stopping AGG while state not ON or starting
[ 5668.727934] iwlagn 0000:02:00.0: queue number out of range: 0, must be 10 to 19
[ 5671.103920] iwlagn 0000:02:00.0: Aggregation not enabled for tid 0 because load = 2
[ 5680.268968] iwlagn 0000:02:00.0: Aggregation not enabled for tid 0 because load = 9
[ 5686.357514] iwlagn 0000:02:00.0: Aggregation not enabled for tid 0 because load = 9
[ 5693.217609] ...

Read more...

Ulf Tidstrand (ulf-tidstrand) wrote :

I can also confirm this bug after upgrading to 11.04. It might have been there in 10.10 as well, but the symptom was not that significant in that case.

I am using a Dell Latitude E6400 with Intel 5100 AGN chipset. Disabling N-support makes connection stable.

However, I have also had problems with the same laptop connecting in Windows (using the Intel Windows driver) to my Netgear router (running OpenWRT 10.03). This is due to incompatibility with Power Save Polling (PSP) between the Intel driver and the Netgear router. Workaround is to disable power management in driver settings. This issue (and solution) is described here:

http://www.intel.com/support/wireless/wlan/sb/CS-006205.htm

Could this be related to the Linux driver issue? Is there a way to alter the power saving options in the Linux driver like in Windows?

David Hollander (dhllndr) wrote :

This problem has also reappeared for me. (Ubuntu 11.04 64bit)
I have to press the wifi button on my laptop to turn my wireless card on and off about every 20 minutes to keep the connection alive and be able to ping my router.

04:00.0 Network controller [0280]: Intel Corporation WiFi Link 5100 [8086:4232]
 Subsystem: Intel Corporation WiFi Link 5100 AGN [8086:1321]
 Flags: bus master, fast devsel, latency 0, IRQ 48
 Memory at f8000000 (64-bit, non-prefetchable) [size=8K]
 Capabilities: <access denied>
 Kernel driver in use: iwlagn
 Kernel modules: iwlagn

Asraniel (asraniel) wrote :

I would like to add myself to this bug, because i'm also experiencing it

Ulf Tidstrand (ulf-tidstrand) wrote :

Just an addition to comment #56:

I upgraded to the latest 10.03.1 RC (r24038) of OpenWRT (running on a Netgear WNDR3700 router) and changed the wireless regulatory settings according to these instructions (setting the country code to 'SE' since I live in Sweden):

http://wiki.openwrt.org/toh/netgear/wndr3700#wireless.regulatory.issues

After that I tried enabling N-support again and after 2 days I still have not experienced any problems. I have tried both 2.4 and 5 GHz radio.

Also, I had some trouble with my Asus Eee (featuring an Atheros chipset) dropping wireless connections but that also works like a charm after my upgrade.

I don't know if it is the upgrade to 10.03.1 r24038 or the Wireless Regulatory patch that fixed my problems, but I would advice others to also check the settings/software in their routers.

I can confirm this bug on a Lenovo X201s; disabling N-support resolved it.

Nicolas (nikos42) wrote :

Confirmed with an Intel 5300 AGN card. Disabling N solved the problem.

Bjorn Andersson (banderss) wrote :

Not willing to disable N-support, that is not a resolution but a work-around.

Ohad (ohad-basan) wrote :

This is a terrible bug. I can confirm it on an acer aspire timeline 3810t.
this is not ubuntu specific nor kernel specific since the same issue appears on my arch linux system that is running 2.6.39

Anmar Oueja (anmar) wrote :

I have Natty running on a thinkpad X201 and I am having this problem.

thomas-foyth (thomas-foyth) wrote :

same problem here 3.0.0-12-generic #20-Ubuntu SMP Fri Oct 7 14:56:25 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
on ubuntu 11.10

Network controller: Intel Corporation PRO/Wireless 5100 AGN [Shiloh] Network Connection
thinkpad R400

applyed fix accourding to https://bugzilla.redhat.com/show_bug.cgi?id=587825#c8

and set it to /etc/modules
  iwlagn 11n_disable=1

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . If possible, please test the latest release candidate kernel (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the others). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed by the mainline kernel, please add the following tag 'kernel-fixed-upstream-KERNEL-VERSION'. For example, if kernel version 3.1-rc9 fixed and issue, the tag would be: 'kernel-fixed-upstream-v3.1-rc9'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Thanks in advance.

tags: added: needs-upstream-testing
John Brooks (frogging101) wrote :

The queue stuck/on demand firmware reload bug happens with me on Ubuntu 11.10 with an Intel wireless card and iwlagn. It is *SO* annoying.

Jamie Stevens (ste616) wrote :

I also have this problem with 11.10 on a Dell E6320 with Intel Advanced-N 6205. I was inspired to look for a solution based on the page referenced by comment #56, and the idea of #58.

To disable power management in Linux, you can do:

iwconfig wlan0 power off

I haven't done much testing yet, but I was able to see an immediate improvement when I did a successful rsync after this command, when beforehand it repeatedly stalled.

To make this permanent (I'm about to try this), follow the instructions at http://ubuntuforums.org/showthread.php?p=11470160

Changed in debian:
status: Unknown → Confirmed
Changed in linux (Ubuntu):
assignee: nobody → 2012tAlfredo Panesso (aldopanesso)
strav (strav) wrote :
Download full text (45.4 KiB)

I can confirm this bug in 12.04, lenovo x200 (and I don't recall experiencing this behaviour before 12.04)

uname -a:
Linux strav 3.2.0-24-generic #37-Ubuntu SMP Wed Apr 25 08:43:22 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Here is a part of what I'm getting from kern.log | grep iwlwifi:

May 6 00:46:10 strav kernel: [ 7.959469] iwlwifi 0000:03:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
May 6 00:46:10 strav kernel: [ 7.959478] iwlwifi 0000:03:00.0: setting latency timer to 64
May 6 00:46:10 strav kernel: [ 7.959503] iwlwifi 0000:03:00.0: pci_resource_len = 0x00002000
May 6 00:46:10 strav kernel: [ 7.959505] iwlwifi 0000:03:00.0: pci_resource_base = ffffc90005084000
May 6 00:46:10 strav kernel: [ 7.959507] iwlwifi 0000:03:00.0: HW Revision ID = 0x0
May 6 00:46:10 strav kernel: [ 7.959609] iwlwifi 0000:03:00.0: irq 47 for MSI/MSI-X
May 6 00:46:10 strav kernel: [ 7.959653] iwlwifi 0000:03:00.0: Detected Intel(R) WiFi Link 5100 AGN, REV=0x54
May 6 00:46:10 strav kernel: [ 7.959708] iwlwifi 0000:03:00.0: L1 Disabled; Enabling L0S
May 6 00:46:10 strav kernel: [ 7.999173] iwlwifi 0000:03:00.0: device EEPROM VER=0x11e, CALIB=0x4
May 6 00:46:10 strav kernel: [ 7.999175] iwlwifi 0000:03:00.0: Device SKU: 0Xf0
May 6 00:46:10 strav kernel: [ 8.000460] iwlwifi 0000:03:00.0: Tunable channels: 13 802.11bg, 24 802.11a channels
May 6 00:46:10 strav kernel: [ 8.460690] iwlwifi 0000:03:00.0: loaded firmware version 8.83.5.1 build 33692
May 6 00:46:10 strav kernel: [ 8.574076] iwlwifi 0000:03:00.0: L1 Disabled; Enabling L0S
May 6 00:46:10 strav kernel: [ 8.574455] iwlwifi 0000:03:00.0: Radio type=0x1-0x2-0x0
May 6 00:46:10 strav kernel: [ 8.689032] iwlwifi 0000:03:00.0: L1 Disabled; Enabling L0S
May 6 00:46:10 strav kernel: [ 8.689411] iwlwifi 0000:03:00.0: Radio type=0x1-0x2-0x0
May 6 01:26:13 strav kernel: [ 7.513836] iwlwifi: Unknown parameter `11n_disable50'
May 6 01:29:06 strav kernel: [ 7.838883] iwlwifi 0000:03:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
May 6 01:29:06 strav kernel: [ 7.838891] iwlwifi 0000:03:00.0: setting latency timer to 64
May 6 01:29:06 strav kernel: [ 7.838915] iwlwifi 0000:03:00.0: pci_resource_len = 0x00002000
May 6 01:29:06 strav kernel: [ 7.838917] iwlwifi 0000:03:00.0: pci_resource_base = ffffc9000067c000
May 6 01:29:06 strav kernel: [ 7.838919] iwlwifi 0000:03:00.0: HW Revision ID = 0x0
May 6 01:29:06 strav kernel: [ 7.838998] iwlwifi 0000:03:00.0: irq 47 for MSI/MSI-X
May 6 01:29:06 strav kernel: [ 7.839546] iwlwifi 0000:03:00.0: Detected Intel(R) WiFi Link 5100 AGN, REV=0x54
May 6 01:29:06 strav kernel: [ 7.839610] iwlwifi 0000:03:00.0: L1 Disabled; Enabling L0S
May 6 01:29:06 strav kernel: [ 7.859232] iwlwifi 0000:03:00.0: device EEPROM VER=0x11e, CALIB=0x4
May 6 01:29:06 strav kernel: [ 7.859235] iwlwifi 0000:03:00.0: Device SKU: 0Xf0
May 6 01:29:06 strav kernel: [ 7.860834] iwlwifi 0000:03:00.0: Tunable channels: 13 802.11bg, 24 802.11a channels
May 6 01:29:06 strav kernel: [ 7.904343] iwlwifi 0000:03:00.0: loaded firmware version 8.83.5.1 build 33692
May 6 01:29:06 strav kernel: [ 8.375283] iw...

Samiux, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily kernel folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.12-rc1

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: removed: apport-collected
Changed in linux (Ubuntu):
assignee: 2012tAlfredo Panesso (aldopanesso) → nobody
status: Triaged → Incomplete
Rolf Leggewie (r0lf) wrote :

FWIW, runs fine for me for a while already now in precise. I used to experience this problem.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.